TechDraw HorizontalDimension/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Caption|Горизонтальное расстояние указанное между двумя произвольными точками фигуры.}}")
(Updating to match new version of source page)
Line 19: Line 19:
}}
}}


<span id="Description"></span>
==Описание==
==Описание==


Line 26: Line 27:
{{Caption|Горизонтальное расстояние указанное между двумя произвольными точками фигуры.}}
{{Caption|Горизонтальное расстояние указанное между двумя произвольными точками фигуры.}}


<span id="Usage"></span>
==Применение==
==Применение==


Line 31: Line 33:
# Press the {{Button|[[Image:TechDraw_HorizontalDimension.svg|16px]] [[TechDraw_HorizontalDimension|Horizontal Dimension]]}} button
# Press the {{Button|[[Image:TechDraw_HorizontalDimension.svg|16px]] [[TechDraw_HorizontalDimension|Horizontal Dimension]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# If needed, add tolerances as described in [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].
# If needed, add tolerances as described on [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].


To change the properties of a dimension object either double-clicking it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|dimension dialog]].
To change the properties of a dimension object either double-click it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|dimension dialog]].


<span id="Limitations"></span>
== Ограничения ==
== Ограничения ==


Dimension objects are vulnerable to the "[[Topological_naming_problem|topological naming problem]]". See [[TechDraw_LengthDimension|TechDraw LengthDimension]] for more information.
Dimension objects are vulnerable to the "[[Topological_naming_problem|topological naming problem]]". See [[TechDraw_LengthDimension|TechDraw LengthDimension]] for more information.


<span id="Properties"></span>
==Свойства==
==Свойства==


See [[TechDraw_LengthDimension#Properties|TechDraw LengthDimension]].
See [[TechDraw_LengthDimension#Properties|TechDraw LengthDimension]].


<span id="Scripting"></span>
==Программирование==
==Программирование==



Revision as of 18:00, 5 March 2023

Other languages:

Указать горизонтальный размер

Системное название
TechDraw_HorizontalDimension
Расположение в меню
TechDraw → Размеры → Указать горизонтальный размер
Верстаки
TechDraw
Быстрые клавиши
Shift + H
Представлено в версии
-
См. также
Указать длину, Указать вертикальный размер

Описание

The Horizontal Dimension tool adds a horizontal dimension to a View. The dimension may be between two vertices, the length of one edge or the horizontal distance between 2 edges. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw LinkDimension tool.

Горизонтальное расстояние указанное между двумя произвольными точками фигуры.

Применение

  1. Select the points or edge which define your measurement.
  2. Press the Horizontal Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described on this page.

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the dimension dialog.

Ограничения

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Свойства

See TechDraw LengthDimension.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The Horizontal Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "DistanceX"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)